Summary:	MPEG audio player
Name:		mpg123
Version:	0.59r
Release: 	17mdk
Group:		Sound
BuildRequires:	audiofile-devel esound-devel
Url:		http://www.mpg123.de/

Source0:	http://www.mpg123.de/mpg123/mpg123-0.59r-pl1.tar.bz2
Source1:	mp3license.tar.bz2
Patch0:		mpg123.patch.bz2
Patch1:		mpg123-0.59r-8bit.patch.bz2
Patch2:		mpg123-0.59r-ppc-fix-buggy-Makefile.bz2
Patch3: mpg123-0.59r-emu10k1-fixes.patch.bz2
Patch4:		mpg123-0.59r-x86_64-target.patch.bz2
Patch5:		mpg123-0.59r-includes.patch.bz2

License:	Distributable
Buildroot:	%_tmppath/%name-%version-root

%description
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org/

%prep

%setup -q -a 1
%patch0 -p1 -b .mike
%patch1 -p1 -b .8bit
%ifarch ppc
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1 -b .x86_64-target
%patch5 -p1 -b .includes

%build
%make linux-$RPM_ARCH-esd

%install
rm -rf $RPM_BUILD_ROOT/ 
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

make install INSTALL=$RPM_BUILD_ROOT

# ugly hack
mkdir -p $RPM_BUILD_ROOT/%{_mandir}
mv  -f $RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/%{_mandir}

%clean
rm -r $RPM_BUILD_ROOT

%files 
%defattr(0644,root,root,755)
%doc BUGS CHANGES COPYING INSTALL JUKEBOX README TODO
%doc mp3license
%defattr (-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Oct  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.59r-17mdk
- Patch4: Let it build on x86-64
- Patch5: Missing includes

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.59r-16mdk
- fix permissions

* Mon Jul 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.59r-15mdk
- rebuild

* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.59r-14mdk
- Add fixes for emu10k1 from CVS.

* Sun Dec 03 2000 David BAUDENS <baudens@maandrakesoft.com> 0.59r-13mdk
- PPC: fix buggy Makefile

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.59r-12mdk
- automatically added BuildRequires

* Wed Aug 02 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.59r-11mdk
- rebuild for the BM
- macrosifications
- add a url to the source

* Thu Apr 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.59r-10mdk
- bzip license

* Tue Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.59r-9mdk
- spechelper fixes

* Mon Nov 15 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.59r

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- removed debug output from audio_esd.c.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)


* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- hacked to work with esd for 8 bit fallback

* Sat Mar  6 1999 Matt Wilson <msw@redhat.com>
- rebuilt against new libaudio and esd

* Mon Mar  1 1999 Matt Wilson <msw@redhat.com>
- rebuilt against new libaudio and esd

* Fri Feb 26 1999 Michael Maher <mike@redhat.com>
- update package

* Tue Jan 12 1999 Michael Maher <mike@redhat.com>
- allowed to ship ... finally.

* Wed Jan 21 1998 Otto Hammersmith <otto@redhat.com>
- more cleanup
